Actualizar un tema existente

Este fragmento de código muestra cómo actualizar un tema existente utilizando la Meetings API.

Véase el Referencia API para más información.

Ejemplo de solicitud

Cuando sea necesario, sustituya las siguientes variables del código de ejemplo por sus propios valores:

ClaveDescripción
JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

VONAGE_APPLICATION_ID

The Vonage Application ID.

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

THEME_ID

The theme UUID.

MAIN_COLOR

The main color that will be used for the meeting room.

BRAND_TEXT

The text that will appear on the meeting homepage, in the case that there is no brand image.

Escriba el código

Añada lo siguiente a update-theme.sh:

curl -X PATCH "https://api-eu.vonage.com/meetings/themes/"$THEME_ID \
  -H "Authorization: Bearer $JWT" \
  -H "Content-Type: application/json" \
  -d '{
       "update_details": {
          "main_color": "'$MAIN_COLOR'",
          "brand_text": "'$BRAND_TEXT'"
       }
  }'

Ver fuente completa

Ejecute su código

Guarde este archivo en su máquina y ejecútelo:

sh update-theme.sh

Ejemplo de respuesta

{
   "theme_id": "ef2b46f3-8ebb-437e-a671-272e4990fbc8",
   "theme_name": "Theme1",
   "domain": "VCP",
   "account_id": "123ab4cd",
   "application_id": "921a6f5b-1f94-49f4-8107-26f0c75fc6e7",
   "main_color": "#12f64e",
   "short_company_url": "short-url",
   "brand_text": "Brand",
   "brand_image_colored": "branded-image-colored",
   "brand_image_white": "branded-image-white",
   "branded_favicon": "branded-favicon",
   "brand_image_colored_url": "branded-image-colored-url",
   "brand_image_white_url": "branded-image-white-url",
   "branded_favicon_url": "branded-favicon-url"
}